#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    
    int x[n];
    int y[n];
    int z[n];
    
    for(int i =0; i<n; i++)
    {
        cin>>x[i];
    }
    for(int i =0; i<n; i++)
    {
        cin>>y[i];
    }
    for(int i =0; i<n; i++)
    {
        cin>>z[i];
    }
    int br;
    int s=0;
    for(int i = 0; i<n; i++)
    {
        br = x[i];
        for(int j =0; j<n; j++)
        {
            if(br==y[j])
            {
                for(int r=0; r<n; r++)
                {
                    if(j+1==z[r])
                    {
                        s++;
                    }
                }
            }
        }    
    }
    
    cout<<s;

    return 0;
}